Hah! Who needs PPAs? I have my own multimedia+ repo!

Desktop Environments and Multimedia
Post Reply
Message
Author
User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#331 Post by stevepusser »

I added Strawberry 0.8.3 to the repo, but again it's only building for Buster. I'll try and fix it. It says the new version fixes a gstreamer memory leak.

Edit: should be fixed, apparently needs libgnutls28-dev listed as a build-depend for upstream, where it gets pulled in automatically by some other B-D on Buster.

Krita updated to 4.4.1, ClipGrab to 3.8.15, Pithos to 1.5.1.
MX Linux packager and developer

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#332 Post by sunrat »

stevepusser wrote:I added Strawberry 0.8.3 to the repo, but again it's only building for Buster. I'll try and fix it. It says the new version fixes a gstreamer memory leak.
Would that be the memory leak for which I opened an issue on Github and the dev closed it saying it wasn't their problem? :|
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#333 Post by stevepusser »

sunrat wrote:
stevepusser wrote:I added Strawberry 0.8.3 to the repo, but again it's only building for Buster. I'll try and fix it. It says the new version fixes a gstreamer memory leak.
Would that be the memory leak for which I opened an issue on Github and the dev closed it saying it wasn't their problem? :|
Damfino! I was just quoting the changelog.

Re: rats...did you see that news story about the guy waiting for a bus in NYC a week before Halloween when the sidewalk collapsed beneath him and he fell 15 feet into a horror movie? (aka an abandoned cellar swarming with huge rats, aka just another day in New York?) There's even a security video of it happening, with him clinging desperately to the side of the hole for a second before disappearing.

My theory is that the rats were testing their people trap...
MX Linux packager and developer

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#334 Post by sunrat »

stevepusser wrote:Re: rats...did you see that news story about the guy waiting for a bus in NYC a week before Halloween when the sidewalk collapsed beneath him and he fell 15 feet into a horror movie? (aka an abandoned cellar swarming with huge rats, aka just another day in New York?) There's even a security video of it happening, with him clinging desperately to the side of the hole for a second before disappearing.

My theory is that the rats were testing their people trap...
:shock:
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#335 Post by stevepusser »

Updating Strawberry to 0.8.4. I still don't know if the memory leak is fixed, but this versions adds the ability to choose the Qt 5 style in settings, as well as choose to have the tray icon show track progress. Tip: if you have qt5-style-kvantum installed, you can choose that, then either use the default kvantum style set in Kvantum Manager, or use any kvantum style on a per-app basis as set in the Manager.
MX Linux packager and developer

LE_746F6D617A7A69
Posts: 517
Joined: 2020-05-03 14:16

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#336 Post by LE_746F6D617A7A69 »

stevepusser wrote:Updating Strawberry to 0.8.4. I still don't know if the memory leak is fixed (...)
... and what is the Mr valgrind's statement regarding this issue? ;)
Bill Gates: "(...) In my case, I went to the garbage cans at the Computer Science Center and I fished out listings of their operating system."
The_full_story and Nothing_have_changed

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#337 Post by sunrat »

I just reinstalled Strawberry on siduction, having purged it a while back because of the memory leak. Seems it's fixed. Only reports ~5% usage on this system with 4GB whereas the old version would progressively increase to about 33% (only loaded a few hundred songs in the library though, will test a few K later). Good times! 8) Thanks, Stevo.
It did fail to create a menu entry though, Plasma 5.19.5.
I'd say that old 0.6.13x version in your repo is redundant now.

Code: Select all

apt policy strawberry
strawberry:
  Installed: 0.8.4-0.1~obs
  Candidate: 0.8.4-0.1~obs
  Version table:
 *** 0.8.4-0.1~obs 500
        500 http://download.opensuse.org/repositories/home:/stevepassert/Debian_Unstable  Packages
        100 /var/lib/dpkg/status
     0.6.13-0.1~obs 500
        500 http://download.opensuse.org/repositories/home:/stevepassert/Debian_Unstable  Packages
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#338 Post by stevepusser »

Well, I'll have to try and fix the missing menu entry. I wonder if it has some entry like "don't show in KDE" in the desktop file, or if it could be a newer KDE issue.

Clementine doesn't seem to be getting many updates for the past few years, which makes me wonder if it's still working with the online services it supports, or if Strawberry would be a better default music app for MX than Clementine.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#339 Post by stevepusser »

The current org.strawberrymusicplayer.strawberry.desktop contains:

Code: Select all

[Desktop Entry]
Version=1.0
Type=Application
Name=Strawberry
GenericName=Strawberry Music Player
Comment=Plays music
Exec=strawberry %U
TryExec=strawberry
Icon=strawberry
Terminal=false
Categories=AudioVideo;Player;Qt;Audio;
StartupNotify=false
MimeType=x-content/audio-player;application/ogg;application/x-ogg;application/x-ogm-audio;audio/flac;audio/ogg;audio/vorbis;audio/aac;audio/mp4;audio/mpeg;audio/mpegurl;audio/vnd.rn-realaudio;audio/x-flac;audio/x-oggflac;audio/x-vorbis;audio/x-vorbis+ogg;audio/x-speex;audio/x-wav;audio/x-wavpack;audio/x-ape;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-wma;audio/x-musepack;audio/x-pn-realaudio;audio/x-scpls;video/x-ms-asf;x-scheme-handler/tidal;
StartupWMClass=strawberry
Actions=Play;Pause;Stop;StopAfterCurrent;Previous;Next;

[Desktop Action Play]
Name=Play
Exec=strawberry --play

[Desktop Action Pause]
Name=Pause
Exec=strawberry --pause

[Desktop Action Stop]
Name=Stop
Exec=strawberry --stop

[Desktop Action StopAfterCurrent]
Name=Stop after this track
Exec=strawberry --stop-after-current

[Desktop Action Previous]
Name=Previous
Exec=strawberry --previous

[Desktop Action Next]
Name=Next
Exec=strawberry --next
Which seems to work nicely with xfce 4.14 and KDE in Buster(MX 19), though KDE shows the GenericName. Could your KDE be showing the Comment "Plays Music" or something like that?
MX Linux packager and developer

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#340 Post by sunrat »

Oops, false alarm on the menu entry. It is there but appeared at the top of Multimedia list, above Audacious. :? I forgot it does that sometimes.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#341 Post by stevepusser »

SMPlayer updated to 21.1.0 for Debian 9 through Sid. Debian doesn't seem to have a maintainer for this package since 18.3. :(
MX Linux packager and developer

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#342 Post by sunrat »

I noticed Bullseye version of Audacity has leapfrogged yours:

Code: Select all

apt policy audacity
...
  Version table:
 *** 2.4.2~dfsg0-4 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
     2.4.2~dfsg0-3~obs 500
        500 http://download.opensuse.org/repositories/home:/stevepassert/Debian_Testing  Packages
Is there any chance you can package the latest v3.02 from Audacity site? It's not in Sid yet. :?: :wink:
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#343 Post by stevepusser »

I think 3.0.2's in a PPA someplace that I can copy the source file from...no--if it was ever there, it's gone. The Audacity site says it needs to build against wxwidgets >= 3.1.3, and Sid has only 3.0.5, to make it worse.
MX Linux packager and developer

User avatar
sunrat
Global Moderator
Global Moderator
Posts: 3696
Joined: 2006-08-29 09:12
Location: Melbourne, Australia
Has thanked: 3 times
Been thanked: 7 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#344 Post by sunrat »

stevepusser wrote:I think 3.0.2's in a PPA someplace that I can copy the source file from...no--if it was ever there, it's gone. The Audacity site says it needs to build against wxwidgets >= 3.1.3, and Sid has only 3.0.5, to make it worse.
Yeah I looked at compiling it myself but abandoned the idea when I saw I had to compile WxWidgets first. No great loss, current version does what I occasionally use it for. Can wait for v3 till it's ready.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!

Post Reply